# Token

Holds a token.

package | phing.filters

### Methods

## Sets the token value from text.

    addText(string $value)

### Arguments

#### $value

`string`

The value for this token. Must not be `null`.

## Returns the key for this token.

    getKey() : string

### Response

`string`

The key for this token.

## Returns the value for this token.

    getValue() : string

### Response

`string`

The value for this token.

## Sets the token key.

    setKey(string $key)

### Arguments

#### $key

`string`

The key for this token. Must not be `null`.

## Sets the token value.

    setValue(string $value)

### Arguments

#### $value

`string`

The value for this token. Must not be `null`.

### Properties

## Token key.

    _key : string

var |

### Type(s)

`string`

## Token value.

    _value : string

var |

### Type(s)

`string`